Package org.globus.gsi

# Class CredentialException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
org.globus.gsi.CredentialException

All Implemented Interfaces:
  `Serializable`

public class CredentialException extends GeneralSecurityException
Exception signaling a credential failure.

Since:
  1.0
Version:
  ${version}
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CredentialException(String msg)`
`CredentialException(String msg, Throwable ex)`
`CredentialException(Throwable ex)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CredentialException

public CredentialException(String msg)

### CredentialException

public CredentialException(String msg, Throwable ex)

### CredentialException

public CredentialException(Throwable ex)